Page MenuHomePhabricator

Install additional packages for censorship-monitoring CI environment
Closed, ResolvedPublic

Description

The operations/software/censorship-monitoring repository depends on the psycopg2 package that needs additional libraries installed to build from source. Currently, this fails because of the missing packages:

https://integration.wikimedia.org/ci/job/tox-docker/11588/console

In previous iterations, I was using the -binary package and didn't have this issue but that's not recommended and also since we are now building a deb package that uses setup.py install, it will be helpful to have the proper packages available in the testing environment.

The solution is to install the following packages:

python3-dev libpq-dev gcc

Would it be possible to do this for the CI environment for censorship-monitoring or is there a better way? Thanks.

Event Timeline

ssingh created this task.Mar 18 2020, 4:27 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 18 2020, 4:27 PM
ssingh updated the task description. (Show Details)Mar 18 2020, 5:15 PM
ssingh added a subscriber: hashar.Mar 25 2020, 3:26 PM

Change 584656 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] dockerfiles: Provide tox-censorshipmonitoring

https://gerrit.wikimedia.org/r/584656

Change 584657 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] jjb: Provide censorshipmonitoring-tox-docker job

https://gerrit.wikimedia.org/r/584657

Change 584658 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] layout: [operations/software/censorship-monitoring] Custom job

https://gerrit.wikimedia.org/r/584658

Change 584656 merged by jenkins-bot:
[integration/config@master] dockerfiles: Provide tox-censorshipmonitoring

https://gerrit.wikimedia.org/r/584656

Mentioned in SAL (#wikimedia-releng) [2020-03-30T17:41:34Z] <James_F> Docker: Publishing tox-censorshipmonitoring:0.1.0 T248002

Change 584657 merged by jenkins-bot:
[integration/config@master] jjb: Provide censorshipmonitoring-tox-docker job

https://gerrit.wikimedia.org/r/584657

Change 584658 merged by jenkins-bot:
[integration/config@master] layout: [operations/software/censorship-monitoring] Custom job

https://gerrit.wikimedia.org/r/584658

Mentioned in SAL (#wikimedia-releng) [2020-03-30T17:48:24Z] <James_F> Zuul: [operations/software/censorship-monitoring] Switch to custom job T248002